Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FormatPostingsFieldsWriter Class Reference

`#include <FormatPostingsFieldsWriter.h>`

Inheritance diagram for Lucene::FormatPostingsFieldsWriter:

## Public Member Functions

| FormatPostingsFieldsWriter (const SegmentWriteStatePtr &state, const FieldInfosPtr &fieldInfos)
virtual | ~FormatPostingsFieldsWriter ()
virtual String | getClassName ()
boost::shared_ptr< FormatPostingsFieldsWriter > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual FormatPostingsTermsConsumerPtr | addField (const FieldInfoPtr &field)
| Add a new field.
virtual void | finish ()
| Called when we are done adding everything.
Public Member Functions inherited from Lucene::FormatPostingsFieldsConsumer
virtual | ~FormatPostingsFieldsConsumer ()
boost::shared_ptr< FormatPostingsFieldsConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FormatPostingsFieldsConsumer
static String | _getClassName ()

## Data Fields

DirectoryPtr | dir
String | segment
TermInfosWriterPtr | termsOut
SegmentWriteStatePtr | state
FieldInfosPtr | fieldInfos
FormatPostingsTermsWriterPtr | termsWriter
DefaultSkipListWriterPtr | skipListWriter
int32_t | totalNumDocs

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ FormatPostingsFieldsWriter()

Lucene::FormatPostingsFieldsWriter::FormatPostingsFieldsWriter | ( | const SegmentWriteStatePtr & | state,
|  | const FieldInfosPtr & | fieldInfos
| ) |  |

## ◆ ~FormatPostingsFieldsWriter()

virtual Lucene::FormatPostingsFieldsWriter::~FormatPostingsFieldsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FormatPostingsFieldsWriter::_getClassName | ( |  | ) |

inline static

## ◆ addField()

virtual FormatPostingsTermsConsumerPtr Lucene::FormatPostingsFieldsWriter::addField | ( | const FieldInfoPtr & | field | ) |

virtual

Add a new field.

Implements Lucene::FormatPostingsFieldsConsumer.

## ◆ finish()

virtual void Lucene::FormatPostingsFieldsWriter::finish | ( |  | ) |

virtual

Called when we are done adding everything.

Implements Lucene::FormatPostingsFieldsConsumer.

## ◆ getClassName()

virtual String Lucene::FormatPostingsFieldsWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FormatPostingsFieldsConsumer.

## ◆ initialize()

virtual void Lucene::FormatPostingsFieldsWriter::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

## ◆ shared_from_this()

boost::shared_ptr< FormatPostingsFieldsWriter > Lucene::FormatPostingsFieldsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ dir

DirectoryPtr Lucene::FormatPostingsFieldsWriter::dir

## ◆ fieldInfos

FieldInfosPtr Lucene::FormatPostingsFieldsWriter::fieldInfos

## ◆ segment

String Lucene::FormatPostingsFieldsWriter::segment

## ◆ skipListWriter

DefaultSkipListWriterPtr Lucene::FormatPostingsFieldsWriter::skipListWriter

## ◆ state

SegmentWriteStatePtr Lucene::FormatPostingsFieldsWriter::state

## ◆ termsOut

TermInfosWriterPtr Lucene::FormatPostingsFieldsWriter::termsOut

## ◆ termsWriter

FormatPostingsTermsWriterPtr Lucene::FormatPostingsFieldsWriter::termsWriter

## ◆ totalNumDocs

int32_t Lucene::FormatPostingsFieldsWriter::totalNumDocs

The documentation for this class was generated from the following file:

- FormatPostingsFieldsWriter.h

clucene.sourceforge.net